package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("结转汇总统计明细")
public class Jzhztjmx {

    @ApiModelProperty("项目")
    private String xm;

    @ApiModelProperty("户数")
    private Integer hs;

    @ApiModelProperty("单位")
    private String dw;

    @ApiModelProperty("数量")
    private BigDecimal sl;

    @ApiModelProperty("单价")
    private BigDecimal dj;

    @ApiModelProperty("金额")
    private BigDecimal je;

    @ApiModelProperty("备注")
    private String bz;

    public static Jzhztjmx buildBySjmc(String sjmc) {
        Jzhztjmx jzhztjmx = new Jzhztjmx();
        jzhztjmx.setXm(sjmc);
        return jzhztjmx;
    }

}
